
import sqlite3
import time

DB_FILE = 'tokens.db'

def init_db():
    conn = sqlite3.connect(DB_FILE)
    c = conn.cursor()
    c.execute('''
        CREATE TABLE IF NOT EXISTS tokens (
            session_id TEXT PRIMARY KEY,
            access_token TEXT,
            refresh_token TEXT,
            expires_at REAL
        )
    ''')
    conn.commit()
    conn.close()

def save_tokens(session_id, access_token, refresh_token, expires_at):
    conn = sqlite3.connect(DB_FILE)
    c = conn.cursor()
    c.execute('''
        INSERT OR REPLACE INTO tokens (session_id, access_token, refresh_token, expires_at)
        VALUES (?, ?, ?, ?)
    ''', (session_id, access_token, refresh_token, expires_at))
    conn.commit()
    conn.close()

def load_tokens(session_id):
    conn = sqlite3.connect(DB_FILE)
    c = conn.cursor()
    c.execute('SELECT access_token, refresh_token, expires_at FROM tokens WHERE session_id = ?', (session_id,))
    row = c.fetchone()
    conn.close()
    if row:
        return {'access_token': row[0], 'refresh_token': row[1], 'expires_at': row[2]}
    return None
